SwiftLibrary (Gradle API 4.4)
Date: 2017-12-06

org.gradle.language.swift

## Interface SwiftLibrary

- All Superinterfaces:
    Named, SoftwareComponent, SwiftComponent

      @Incubating
      public interface SwiftLibrary
      extends SwiftComponent

  Configuration for a Swift library, defining the source files that make up the library plus other settings.

  An instance of this type is added as a project extension by the Swift library plugin.

  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `getApiDependencies()` Returns the API dependencies of this library.
    `SwiftSharedLibrary` | `getDebugSharedLibrary()` Returns the debug shared library for this library.
    `SwiftSharedLibrary` | `getDevelopmentBinary()` Returns the binary of the component to use as the default for development.
    `SwiftSharedLibrary` | `getReleaseSharedLibrary()` Returns the release shared library for this library.

    - ### Methods inherited from interface org.gradle.language.swift.SwiftComponent

      `getImplementationDependencies, getModule, getSource, getSwiftSource, source`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getApiDependencies

          Configuration getApiDependencies()

      Returns the API dependencies of this library.

    - #### getDevelopmentBinary

          SwiftSharedLibrary getDevelopmentBinary()

      Returns the binary of the component to use as the default for development.
      Specified by:
        `getDevelopmentBinary` in interface `SwiftComponent`

    - #### getDebugSharedLibrary

          SwiftSharedLibrary getDebugSharedLibrary()

      Returns the debug shared library for this library.

    - #### getReleaseSharedLibrary

          SwiftSharedLibrary getReleaseSharedLibrary()

      Returns the release shared library for this library.